﻿@model BoE.WebSite.Areas.Admin.Models.GiveGoldXpModel
@{
    ViewBag.Title = "GiveGoldXp";
}

<h2>Give gold and/or xp</h2>

@using (Html.BeginForm())
{ 
    @Html.ValidationSummary(false)
    @Html.HiddenFor(m => m.CharacterId)
    <fieldset>
        <legend>Give gold and/or xp</legend>
        <p> 
            Give gold or experience to: <b>@ViewBag.CharacterName</b>.
        </p>
        <div>
            @Html.LabelFor(m => m.Experience)
            @Html.TextBoxFor(m => m.Experience)
        </div>
        <div>
            @Html.LabelFor(m => m.Gold)
            @Html.TextBoxFor(m => m.Gold)
        </div>
        <div>
            <input type="submit" value="Give" onclick="return confirm('Are you sure ?')" />
        </div>
    </fieldset>
}

<p>
    @Html.ActionLink("Go back", "Characters")
</p>